import test from 'tape';
import Immutable from 'seamless-immutable';

import unmount, { reducer, type } from './unmount';


test('should unmount state', (t) => {
    const root = 'test';

    const action = unmount({ root });
    const state = reducer[type](Immutable({ [root]: { my: 'state' } }), action);

    t.same(state, {});
    t.end();
});
