export default ({
    focus = false,
    value = null
} = {}) => {
    const number = Number(value);
    if (Number.isNaN(number)) {
        return {
            focus,
            rawValue: '',
            value: 0
        };
    }

    return {
        focus,
        rawValue: value !== null ? number.toString() : '',
        value: number
    };
};
