import ReactDOM from 'react-dom';
import TestUtils from 'react-addons-test-utils';


export default (component) => {
    // TestUtils.Simulate does not propagate click events on labels (https://github.com/facebook/react/issues/5804),
    // thus we need to simulate what happens when a label is clicked.
    const input = TestUtils.findRenderedDOMComponentWithTag(component, 'input');
    const node = ReactDOM.findDOMNode(input);

    TestUtils.Simulate.change(node);
};
